#include <bits/stdc++.h>
using namespace std;
int main()
{
    int n, l, rez=-1;
    bool prvi=false;
    cin>>n>>l;
    vector <int> v;
    for (int i=0; i<n; i++)
    {
        int a; cin>>a;
        v.push_back(a);
        if (v[i]<=l && prvi==false)
        {
            rez=i+1;
            prvi=true;
        }
    }
    cout<<rez;
    return 0;
}